ru.bitel.bgbilling.modules.agr.server.bean

## Enum AGRErrorCode

- java.lang.Object
- - java.lang.Enum<AGRErrorCode>
  - - ru.bitel.bgbilling.modules.agr.server.bean.AGRErrorCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AGRErrorCode>

      public enum AGRErrorCode
      extends java.lang.Enum<AGRErrorCode>

  Список ошибок платежного модуля AGR

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTION_NOT_FOUND`
    `ALREADY_PAID`
    `ERROR_IN_REQUEST_FROM_AGR`
    `FAILED_TO_UPDATE_USER`
    `INCORRECT_PARAMETER_AMOUNT`
    `SIGN_CHECK_FAILED`
    `SUCCESS`
    `SYSTEM_ERROR`
    `TRANSACTION_CANCELLED`
    `TRANSACTION_DOES_NOT_EXIST`
    `USER_DOES_NOT_EXIST`
    `VENDOR_IS_NOT_FOUND`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `static AGRErrorCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AGRErrorCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final AGRErrorCode SUCCESS

    - #### SIGN_CHECK_FAILED

          public static final AGRErrorCode SIGN_CHECK_FAILED

    - #### INCORRECT_PARAMETER_AMOUNT

          public static final AGRErrorCode INCORRECT_PARAMETER_AMOUNT

    - #### ACTION_NOT_FOUND

          public static final AGRErrorCode ACTION_NOT_FOUND

    - #### ALREADY_PAID

          public static final AGRErrorCode ALREADY_PAID

    - #### USER_DOES_NOT_EXIST

          public static final AGRErrorCode USER_DOES_NOT_EXIST

    - #### TRANSACTION_DOES_NOT_EXIST

          public static final AGRErrorCode TRANSACTION_DOES_NOT_EXIST

    - #### FAILED_TO_UPDATE_USER

          public static final AGRErrorCode FAILED_TO_UPDATE_USER

    - #### ERROR_IN_REQUEST_FROM_AGR

          public static final AGRErrorCode ERROR_IN_REQUEST_FROM_AGR

    - #### TRANSACTION_CANCELLED

          public static final AGRErrorCode TRANSACTION_CANCELLED

    - #### VENDOR_IS_NOT_FOUND

          public static final AGRErrorCode VENDOR_IS_NOT_FOUND

    - #### SYSTEM_ERROR

          public static final AGRErrorCode SYSTEM_ERROR

  - ### Method Detail

    - #### values

          public static AGRErrorCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AGRErrorCode c : AGRErrorCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AGRErrorCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()